[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.DoValidationError

Performs actions when the control value is invalid for its edit mask.

## Declaration

Source position: maskedit.pp line 268

`protected procedure TCustomMaskEdit.DoValidationError;`

## Description

Signals the OnValidationError event handler (when assigned). It is called from the ValidateEdit method when TextIsValid returns False and ValidationErrorMode is set to mvemEvent.

## See also

TCustomMaskEdit.OnValidationError |  | Event handler signalled when the value for the masked edit control is invalid.
TCustomMaskEdit.ValidateEdit |  | Validates the value for the edit control when an EditMask has been specified.
TCustomMaskEdit.ValidationErrorMode |  | Indicates the action taken when the control value is invalid for its mask.